Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-78713

"AnimatedImage.onCurrentFrameChanged" is not available in QtQuick 2.0.

    XMLWordPrintable

    Details

    • Commits:
      a439a25f468d8c5623f2e0949b55a0c85c850f5f (qt/qtdeclarative/5.14)

      Description

      This QML code causes the following error when run with Qt 5.15:

      "AnimatedImage.onCurrentFrameChanged" is not available in QtQuick 2.0.
      test.qml
      import QtQuick 2.7
      
      AnimatedImage {
      	onCurrentFrameChanged: {
      	}
      }
      

      I suspect https://codereview.qt-project.org/c/qt/qtdeclarative/+/142887 as the culprit.

      I could raise the version of the import, but then I can't run the program with anything before Qt 5.14.

        Attachments

        For Gerrit Dashboard: QTBUG-78713
        # Subject Branch Project Status CR V

          Activity

            People

            Assignee:
            srutledg Shawn Rutledge
            Reporter:
            mkrems Marcel Krems
            Votes:
            0 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes